Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Class CMCustomDataManagerBean

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.data.CMCustomDataManagerBean

All Implemented Interfaces
  CustomDataManagerBusiness, Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CMCustomDataManagerBean

extends CatalogServiceImpl
implements CustomDataManagerBusiness

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CMCustomDataManagerBean()` Deprecated See BEA Commerce product offering

Method Summary
`long` | `createUniqueId(CatalogRequest request, String jndiHomeName, String pkString)` Deprecated See BEA Commerce product offering
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey, String namespace)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object defaultValue)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, boolean returnDefault)` Deprecated See BEA Commerce product offering
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key)` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key)` Deprecated See BEA Commerce product offering
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object value)` Deprecated See BEA Commerce product offering
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, Object value)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`ejbActivate, ejbCreate, ejbPassivate, ejbPostCreate, ejbRemove, getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, setSessionContext, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCustomDataManagerBean

    public CMCustomDataManagerBean()

  Deprecated See BEA Commerce product offering

Method Detail

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String namespace,
                              String key,
                              Object defaultValue)
                       throws RemoteException,
                              CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Retrieve the value associated with the named key.

  Specified by:
    `getProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String propertySetName,
                              String propertySetType,
                              String key,
                              boolean returnDefault)
                       throws CatalogException,
                              RemoteException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Retrieve the value associated with the named key.

  Specified by:
    `getProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `returnDefault` - if `true` return the default value
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String namespace,
                            String key,
                            Object value)
                     throws RemoteException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Associate the specified value with the named key.

  Specified by:
    `setProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `namespace` - The namespace to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String propertySetName,
                            String propertySetType,
                            String key,
                            Object value)
                     throws RemoteException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Associate the specified value with the named key.

  Specified by:
    `setProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `propertySetName` - The propertySetName to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey,
                             String namespace)
                      throws RemoteException,
                             CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Retrieve all the property values within a namespace

  Specified by:
    `getProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `namespace` - The namespace of the properties to retrieve.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey)
                      throws RemoteException,
                             CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Retrieve all the property values

  Specified by:
    `getProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String namespace,
                                 String key)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Remove the property associated with the named key.

  Specified by:
    `removeProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String propertySetName,
                                 String propertySetType,
                                 String key)
                          throws CatalogException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Remove the property associated with the named key.

  Specified by:
    `removeProperty` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperties

    public void removeProperties(CatalogRequest request,
                                 CatalogItemKey itemKey)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Remove all the properties for an item

  Specified by:
    `removeProperties` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### createUniqueId

    public long createUniqueId(CatalogRequest request,
                               String jndiHomeName,
                               String pkString)
                        throws RemoteException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `CustomDataManagerBusiness`
  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Specified by:
    `createUniqueId` in interface `CustomDataManagerBusiness`
  Parameters
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns
    the newly created entity id
  Throws
    `CatalogException` - if there is an error
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved